#include "extern.h"

static struct S_def Plus_S = {PLUS, (char*) 0};
Node Plus;
static struct S_def Colon_S = {COLON, (char*) 0};
Node Colon;
static struct S_def Question_S = {QUESTION, (char*) 0};
Node Question;
static struct S_def Allocatable_S = {ALLOCATABLE, (char*) 0};
Node Allocatable;
static struct S_def BinaryConstant_S = {BINARY_CONSTANT, (char*) 0};
Node BinaryConstant;
static struct S_def Character_S = {CHARACTER, (char*) 0};
Node Character;
static struct S_def ConcatOp_S = {CONCAT_OP, "//"};
Node ConcatOp;
static struct S_def DoubleComplex_S = {DOUBLE_COMPLEX, "DOUBLE COMPLEX"};
Node DoubleComplex;
static struct S_def DoublePrecision_S = {DOUBLE_PRECISION, "DOUBLE PRECISION"};
Node DoublePrecision;
static struct S_def EndBlockData_S = {END_BLOCK_DATA, (char*) 0};
Node EndBlockData;
static struct S_def EndInterface_S = {END_INTERFACE, (char*) 0};
Node EndInterface;
static struct S_def EndType_S = {END_TYPE, (char*) 0};
Node EndType;
static struct S_def EquivOpF_S = {EQUIV_OP_F, ".NEQV."};
Node EquivOpF;
static struct S_def Function_S = {FUNCTION, (char*) 0};
Node Function;
static struct S_def Include_S = {INCLUDE, (char*) 0};
Node Include;
static struct S_def Interface_S = {INTERFACE, (char*) 0};
Node Interface;
static struct S_def Lpeqi_S = {LPEQI, "("};
Node Lpeqi;
static struct S_def NotOp_S = {NOT_OP, ".NOT."};
Node NotOp;
static struct S_def OrOp_S = {OR_OP, ".OR."};
Node OrOp;
static struct S_def PointTo_S = {POINT_TO, (char*) 0};
Node PointTo;
static struct S_def Public_S = {PUBLIC, (char*) 0};
Node Public;
static struct S_def Recursive_S = {RECURSIVE, (char*) 0};
Node Recursive;
static struct S_def RelOpLt_S = {REL_OP_LT, ".LT."};
Node RelOpLt;
static struct S_def Select_S = {SELECT, (char*) 0};
Node Select;
static struct S_def To_S = {TO, (char*) 0};
Node To;
static struct S_def XorOp_S = {XOR_OP, ".XOR."};
Node XorOp;
static struct S_def Dirdecompose_S = {DIRDECOMPOSE, (char*) 0};
Node Dirdecompose;
static struct S_def Op_S = {OP, (char*) 0};
Node Op;
static struct S_def WhereBlock_S = {WHERE_BLOCK, (char*) 0};
Node WhereBlock;
static struct S_def IfBlock_S = {IF_BLOCK, (char*) 0};
Node IfBlock;
static struct S_def SpecificationPartBlock_S = {SPECIFICATION_PART_BLOCK, (char*) 0};
Node SpecificationPartBlock;

Tree_init_constants_3 ()
{
	Plus.def = Plus_S;
	Colon.def = Colon_S;
	Question.def = Question_S;
	Allocatable.def = Allocatable_S;
	BinaryConstant.def = BinaryConstant_S;
	Character.def = Character_S;
	ConcatOp.def = ConcatOp_S;
	DoubleComplex.def = DoubleComplex_S;
	DoublePrecision.def = DoublePrecision_S;
	EndBlockData.def = EndBlockData_S;
	EndInterface.def = EndInterface_S;
	EndType.def = EndType_S;
	EquivOpF.def = EquivOpF_S;
	Function.def = Function_S;
	Include.def = Include_S;
	Interface.def = Interface_S;
	Lpeqi.def = Lpeqi_S;
	NotOp.def = NotOp_S;
	OrOp.def = OrOp_S;
	PointTo.def = PointTo_S;
	Public.def = Public_S;
	Recursive.def = Recursive_S;
	RelOpLt.def = RelOpLt_S;
	Select.def = Select_S;
	To.def = To_S;
	XorOp.def = XorOp_S;
	Dirdecompose.def = Dirdecompose_S;
	Op.def = Op_S;
	WhereBlock.def = WhereBlock_S;
	IfBlock.def = IfBlock_S;
	SpecificationPartBlock.def = SpecificationPartBlock_S;
}

